Carregar um anexo
curl --request POST \
--url https://api.devin.ai/v3/organizations/{org_id}/attachments \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: multipart/form-data' \
--form file='@example-file'import requests
url = "https://api.devin.ai/v3/organizations/{org_id}/attachments"
files = { "file": ("example-file", open("example-file", "rb")) }
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, files=files, headers=headers)
print(response.text)const form = new FormData();
form.append('file', '<string>');
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
options.body = form;
fetch('https://api.devin.ai/v3/organizations/{org_id}/attachments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"attachment_id": "<string>",
"name": "<string>",
"url": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Anexos (Organização)
Carregar um anexo
Fazer upload de um arquivo em anexo que pode ser usado em sessões do Devin.
POST
/
v3
/
organizations
/
{org_id}
/
attachments
Carregar um anexo
Permissões
UseDevinSessions no nível da organização.Autorizações
Credencial de usuário de serviço (prefixo: cog_)
Parâmetros de caminho
ID da organização (prefixo: org-)
Exemplo:
"org-abc123def456"
Corpo
multipart/form-data
⌘I

